Default directory for saved screenshots is /home instead of /home/login

Bug #511942 reported by Jaromir Obr on 2010-01-24
108
This bug affects 18 people
Affects Status Importance Assigned to Milestone
Shutter
Medium
Mario Kemper (Romario)
shutter (Ubuntu)
Undecided
Unassigned
Declined for Maverick by Stefano Rivera
Lucid
Low
Unassigned

Bug Description

Bug seems to be in Lucid (10.04) only. I tested the same steps with the same version of shutter in Ubuntu 9.10 and it works well.

Steps to reproduce:
1) Install shutter
2) Run the shutter from terminal
3) Go to "Edit -> Preferences -> Main"
4) See selected directory in section "Save"

Expected result:
/home/login

Actual result:
/home

If you change the value to the correct one, save it and quit shutter (using context menu on Shutter icon in gnome panel), setting is lost - you get the value "/home" again after next start.

OS: Ubuntu 10.04, amd64
shutter 0.85.1-1

I can't reproduce this here. I've installed Lucid alpha2 in a VirtualBox environment and everything seems to be fine. Are there any error messages when you launch Shutter via terminal that might be related to the described behavior?

You could also launch Shutter with its debug parameter to get some more information on startup: shutter --debug

Are there any specialties in your installation, e.g. /home on a different partition or filesystem, LVM, encrypted filesystem etc. ? Does your username contain any special characters like blanks or whatever?

Jaromir Obr (jaromir-obr) wrote :

Hi Mario,
I created a new account and I have to say it works well with it. So only problem is when using my older account "mira" (without quotes). My home path is /home/mira.

I noticed that Shutter always shows (and uses) trimmed path instead of saved one. For example, if I select folder /c/Work, Shutter saves it correctly (see attached settings.xml). When I quit Shutter and run it again, path in setting.xml is still correct, but Shutter's preferences show path to folder "/c" (see attached screenshot). I'm also adding output of "shutter --debug", but I don't see any info related to this issue.

IMHO I don't use anything special in filesystem structure:
/dev/sda6 /
/dev/sda5 /boot
/dev/sda2 /c

No LVM, no encrypted filesystem

Changed in shutter:
assignee: nobody → Mario Kemper (Romario) (mario-kemper)
importance: Undecided → Medium
milestone: none → 0.86
status: New → Confirmed

Could you please check the attached (experimental) version of Shutter to see if your bug is fixed?

1) download the tarball
2) mkdir shutter_test
3) tar xfvz shutter_experimental.tar.gz -C ./shutter_test
4) shutter_test/bin/shutter

Thanks for your help
Mario

Jaromir Obr (jaromir-obr) wrote :

Hello Mario,

I can confirm it works well with your experimental version.
I tested it with both existing and a new user account - path is always loaded as it was saved before.

Thanks for your help.

Changed in shutter:
status: Confirmed → Fix Committed
Changed in shutter:
status: Fix Committed → Fix Released
Jeff Lane (bladernr) on 2010-04-09
Changed in shutter:
status: Fix Released → Confirmed
Jeff Lane (bladernr) wrote :

I reopened this as a regression, of sorts...
This was marked Fix Release and targeted at Shutter 0.86.

However:

 bladernr@klaatu:~/Pictures$ sudo apt-cache policy shutter
[sudo] password for bladernr:
shutter:
  Installed: 0.85.1-1ubuntu1
  Candidate: 0.85.1-1ubuntu1
  Version table:
 *** 0.85.1-1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
        100 /var/lib/dpkg/status

And in this version, the default is set at Pictures.

I change the default location to Pictures/Screenshots and as long as the instance of Shutter stays open, all screen shots go into the Pictures/Screenshots directory.

However, when closing and re-opening, the storage location has changed back to Pictures.

Since this is apparently already Fixed (I presume in 0.86) for some reason, 0.86 hasn't been pushed to the repos as of Beta 2.

Jeff Lane (bladernr) wrote :

Just want to confirm that 0.86 does fix the problem, it's just not available in repos...

This bug has the status "Fix released" in our project even though it has not reached ubuntu's repositories.

Added "shutter (Ubuntu)" to "Affects" list and changed status to "Confirmed"...

We are not responsible for building official packages. The maintainer is Ryan Niebur - see: http://packages.qa.debian.org/s/shutter.html

Changed in shutter (Ubuntu):
status: New → Confirmed
Changed in shutter:
status: Confirmed → Fix Released
Johan (ignesia) wrote :

It does not remember my directory when I restart Shutter.

Ubuntu 10.02. Shutter 0.85.1.

This is a known bug. Please update Shutter to the latest version (by using our PPA):
http://shutter-project.org/faq-help/ppa-installation-guide/

Bruno Girin (brunogirin) wrote :

@Mario: is there an official version where the bug is resolved for which we could request an update in Maverick?

I've already requested an update for maverick:
https://bugs.launchpad.net/ubuntu/+source/shutter/+bug/626704

The latest version is available here:
https://launchpad.net/~shutter/+archive/ppa

more information here:
http://shutter-project.org/downloads/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shutter - 0.86.3-0ubuntu1

---------------
shutter (0.86.3-0ubuntu1) maverick; urgency=low

  * New upstream release. (LP: #626704)
  * Fixes bugs:
    - wrong default directory for saved screenshots (LP: #511942)
  * debian/control:
    - Updated Maintainer field
    - Add dependency on libproc-processtable-perl
    - Add libnet-dbus-glib-perl to Suggests:
  * debian/install:
    - install missing icons (LP: #549688)
 -- Krzysztof Klimonda <email address hidden> Mon, 06 Sep 2010 02:36:44 +0200

Changed in shutter (Ubuntu):
status: Confirmed → Fix Released

Is it possible to patch the current package in 10.04? I'd prepare a fix for this bug if possible.

Krzysztof Klimonda (kklimonda) wrote :

Subscribing ubuntu-sru as they are the only who can answer the question - given that we have a patch for this issue and I prepare an SRU will it get an ACK?

@Mario: How intrusive this patch would be? I remember from Transmission that the fix for the same bug were one or two lines, but it could be the different issue with the same result.

@Krzysztof: Sorry for the delay. Yes, the patch would change only a few lines related to the filechooser widgets. I'll prepare a patch as soon as possible.

Martin Pitt (pitti) wrote :

Krzysztof,

this seems like a low-risk and low-priority patch, so it's okay for an SRU.

Here is a patch that should fix the problem. It fixes the non-working profiles as well (a one-liner).

Artur Rona (ari-tczew) wrote :

Mario, thanks for your work! However, your patch is not a debdiff, which we are interesting to sponsor. Please prepare a debdiff following with:
- https://wiki.ubuntu.com/PackagingGuide/Howtos/Debdiff
- https://wiki.ubuntu.com/StableReleaseUpdates

Artur Rona (ari-tczew) wrote :

Please resubscribe ubuntu-sponsors when patch (debdiff) is ready.

Krzysztof Klimonda (kklimonda) wrote :
Artur Rona (ari-tczew) wrote :

Krzysztof, why do you target to UNRELEASED in debdiff?

Artur Rona (ari-tczew) wrote :

Once again, did you cherry-picked this patch from upstream? If yes, would be nice to add information (link to original patch).

Krzysztof Klimonda (kklimonda) wrote :

@Artur The patch is applied inline, because package doesn't have any patch system, so there is no place other then the changelog itself to add this information - I've decided no to do that to make it cleaner. Shutter in Maverick is already fixed so the patch will disappear after 10.04 EOL and there aren't many maintainer involved in this package nor I don't think we'll have much more SRUs for it. The patch comes from this report, it has been written by the upstream developer.

I target UNRELEASED so it's up to sponsor to make an actual release - the diff is generated from the bzr branch which I work with most of the time when packaging.

Stefano Rivera (stefanor) wrote :

Uploaded to lucid-proposed, pending SRU team review.

Krzysztof: You can save the sponsor 10 seconds of work by targeting the debidff at the relase you want it uploaded to. UNRELEASED makes more sense in VCSs than debdiffs.

Changed in shutter (Ubuntu Lucid):
importance: Undecided → Low
status: New → Fix Committed

Accepted shutter into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Jaromir Obr (jaromir-obr) wrote :

I tested version 0.85.1-1ubuntu1.1 from repository lucid-proposed.
It's working well, default path for saving of files persists.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shutter - 0.85.1-1ubuntu1.1

---------------
shutter (0.85.1-1ubuntu1.1) lucid-proposed; urgency=low

  * Set the default directory for saved screenshots to the User's home folder
    instead of /home (LP: #511942)
 -- Krzysztof Klimonda <email address hidden> Sun, 26 Sep 2010 16:01:13 +0200

Changed in shutter (Ubuntu Lucid):
status: Fix Committed → Fix Released
Vladimir Rutsky (rutsky) wrote :

I observe bug similar to described in this report with version 0.86.4 from Shutter's ppa.
Original report of this bug marked as duplicate of this is: https://bugs.launchpad.net/ubuntu/+source/shutter/+bug/657585

Steps to reproduce:
1. Create directory for screenshots:
 $ mkdir -p /tmp/shutter/screenshots/dir
2. Start shutter with clean configuration:
 $ cd
 $ mv .shutter .shutter_
 $ shutter
3. Open Edit -> Preferences. Main tab. By default "Directory" is home directory.
4. Click on directory value---list of common directories will be poped down, select "Other..."---directory selection menu will appear.
5. Copy-paste in Location "/tmp/shutter/screenshots/dir/" and press Open. Shutter will show, that Directory for saving screenshots is "dir".
6. In Shutter window press "Full Screen" for taking screenshot.

Observed behavior: screenshot is taken in user's home directory.
Expected behavior: screenshot is taken /tmp/shutter/screenshots/dir/.

Bug is not fixed, I suggest to reopen it.

Vladimir Rutsky (rutsky) wrote :

I made screencast that shows steps to reproduce described above issue.

On Sun, 2010-10-17 at 05:58 +0000, Vladimir Rutsky wrote:
> I made screencast that shows steps to reproduce described above issue.
>

It is not the same bug as far as I can tell. In your case, it seems that
you can't change the path at all but the original bug is about last part
of the path being stripped (hence /home/login becomes /home). It is most
likely a different bug with a similar effect. I can't even reproduce
this new bug on shutter 0.86.3-0ubuntu2 - screenshots are saved
in /tmp/shutter/ as expected.

I'd rather see a new bug opened then this one being used for the further
discussion.

--
Krzysztof Klimonda <email address hidden>

Vladimir Rutsky (rutsky) wrote :

@Krzysztof
> > I made screencast that shows steps to reproduce described above issue.
> It is not the same bug as far as I can tell.
Ok, If this is a new bug I marking my original issue #657585 as NOT duplicate of this.

True, that is a new bug. Sorry for confusion.

Could you please select the new folder manually instead of pasting? Does this work? Might be a bug in gtk's filechooser.

Oh, wrong bug. Sorry again.

David Dombrowsky (davek) wrote :

I'd just like to thank people for fixing this bug. I use shutter every day for screenshots, and this problem has been annoying me since early this year. After the recent update, without any special settings or patches, its fully fixed in Lucid. Great job guys. The small things go a long way.

Sune Woeller (sune-woeller) wrote :

regression?
I can reproduce in shutter 0.89 rev. 1219
Ubuntu 12.10, unity.

Sune Woeller (sune-woeller) wrote :

Strange behaviour:
It works if I choose the 'Pictures' folder or another std ubuntu folder.

To reproduce: Add a new folder, ~/screenshots (or ~/test), set as save folder in shutter. Now screenshots are just saved in home dir. Shut down shutter, reopen, the setting is reverted back to users home.

Sune Woeller (sune-woeller) wrote :

ui issue:

open preferences, choose other, navigate to parent folder, double click on folder (you now are placed 'inside' the folder), press choose.
It looks like the folder has been chosen at the settings screen. But it has not.

It is only chosen if you navigate to the parent folder, select folder, and press 'open', that the settings is acutally saved.

Again, it looks like the folder is chosen in the ui - but it is not.

Might be a bug in gtk's filechooser. The code has not changed here and I can confirm Sune's observations.

sioban (launchpad-sioban) wrote :

I have the same problem, still saving to /home/login instead where I've choosed.
It looks like it changed but do not save the files where I want and next reboot it reset...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers